org.apache.maven.usability.diagnostics

## Class ErrorDiagnostics

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.usability.diagnostics.ErrorDiagnostics

    public class ErrorDiagnostics
    extends AbstractLogEnabled

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ErrorDiagnostics()`

### Method Summary

Methods
`void` `contextualize(Context context)`
`java.lang.String` `diagnose(java.lang.Throwable error)`
`void` `setErrorDiagnosers(java.util.List errorDiagnosers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ROLE

    public static final java.lang.String ROLE

### Constructor Detail

#### ErrorDiagnostics

    public ErrorDiagnostics()

### Method Detail

#### setErrorDiagnosers

    public void setErrorDiagnosers(java.util.List errorDiagnosers)

#### diagnose

    public java.lang.String diagnose(java.lang.Throwable error)

#### contextualize

    public void contextualize(Context context)
                       throws ContextException

Throws:
  `ContextException`